Subject: [os2genau_digest] No. 1617
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Thu, 6 Mar 2008 00:00:46 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Wednesday 05 March 2008
 Number  1617
**************************************************

Subjects for today
 
1   APC UPS & USB CABLE : Nicholas Lysaght" <nicholasrf at gmail dot com>
2  Re:  FireFox : Ed Durrant <edurrant at durrant dot mine dot nu>
3  Re:  Capturing flash video from browsers : Ed Durrant <edurrant at durrant dot mine dot nu>
4  Re:  Capturing flash video from browsers : John Angelico" <talldad at kepl dot com dot au>
5  Re:  APC UPS & USB CABLE : Ed Durrant <edurrant at durrant dot mine dot nu>

**= Email   1 ==========================**

Date:  Tue, 4 Mar 2008 23:35:59 +0900
From:  "Nicholas Lysaght" <nicholasrf at gmail dot com>
Subject:   APC UPS & USB CABLE

Hi All.

After Western Power killed my Opti-UPS (it didn't die for 2 days!) I decided
to replace it with an APC  Back-UPS CS 500 (Model # BK500EI).

The bad news was, that one has to send away if one wants an RS-232
connection. I have since done that (even if it's an RJ45 to 9-pin Serial
connection). However, while I wait for the cable to arrive here in the West,
I decided to have a go at enabling the standard RJ45 to USB Cable.

I was directed to two programmes; <Inst_BkUPSMon006b.WPI>, and the required
<usbecd10.ZIP> programme to manage the input/output of the USB cable. I have
enabled the cable software, and it seems to have found the correct
parameters for the UPS. I have installed the UPS software, and, in turn, it
can enable the programme, and show the Status of the Battery. It will also
show an error if the USB cable is pulled. However, what it won't do, is to
react in any way (save showing the lessening battery power left), when the
power to the UPS is switched off. It will not shut the computer down. There
also seems to be inconsistencies between what you can do in the
configuration file, against what is actually happening in the Status report.

Has anyone tried to set up a UPS with this new USB only cable? When the RJ45
> Serial cable arrives, hopefully one of the Lone Pine Back Up programmes
will work with it, but I should really try and get this USB thing to work.

I look forward to your reply/ies.

Regards

NICK

[attachments have been removed]
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Wed, 05 Mar 2008 07:33:58 +1100
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  FireFox

Peter L Allen wrote:
> On Tue, 04 Mar 2008 17:13:28 +1100, Ed Durrant wrote:
>
>   
>> Andrew Hood wrote:
>>     
>>> Greetings all,
>>>
>>> I decided to try firefox again after a long time.  Previous experience is that it will only 
>>>       
> open the properties window and I've never been able to get it past that.  I downloaded 
> the latest version from the OS2site and unzipped/installed as per instructions, guess 
> what, doublclick on the icon and it opens the properties window.
>   
>>> Can anyone tell me what I am doing wrong or missing the point of here?
>>>
>>> TIA
>>>
>>> Andrew

>>>  

>>>
>>>   
>>>       
>> You need to have the Libc DLL set installed in the path somewhere.
>>
>> Cheers/2
>>
>> Ed.
>>
>>     
> According to the poster, he has only ever seen the properties page!
> In my experience it bleats if the dll is unaccessable.
> If FF has never been run - don't you have to set up a profile?
> firefox /p or something.
> Once running, move the profile data so it does'nt get overwritten during updates.
> Current version installs may do this?
> 					Regards,
> 							allenpl
>
>   
I believe the properties page that is being referred to is not from 
within Firefox, rather the OS/2 properties page that comes up when a 
program cannot be loaded - as several people have said this is normally 
caused by the lack of a DLL. Starting the firefox.exe from the command 
line may give more information however the most likely cause is the lack 
of the Libc DLL libraries being installed. The install readme will say 
which version is required - likely to be LIBC063.

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Wed, 05 Mar 2008 07:37:24 +1100
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  Capturing flash video from browsers

Peter Moylan wrote:
> On 04/03/08 23:27, John Angelico wrote:
>> On Tue, 04 Mar 2008 20:48:14 +1100, Ed Durrant wrote:
>
>>> By the way is your clock 1 hour out ? the e-mail from you says sent
>>>  21:33 and it's only 20:45 now. - perhaps its my settings (again) ?
>>>
>>
>> Timestamp in my Sent folder shows as Tue, 04 Mar 2008 20:33:04 +1000
>> (AEST)
>
> It's that +1000 that's the problem. It should be +1100. You haven't
> switched to summer time (or you've switched away from it prematurely).
> Strange, I thought that eCSclock handled daylight saving very well.
>
eCSClock is not in the later RCs of eCS 2.0 unfortunately.

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Wed, 05 Mar 2008 08:07:47 +1000 (AEST)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:  Re:  Capturing flash video from browsers

On Wed, 05 Mar 2008 07:37:24 +1100, Ed Durrant wrote:

Hi all.

>Peter Moylan wrote:
>> On 04/03/08 23:27, John Angelico wrote:
>>> On Tue, 04 Mar 2008 20:48:14 +1100, Ed Durrant wrote:
>>
>>>> By the way is your clock 1 hour out ? the e-mail from you says sent
>>>>  21:33 and it's only 20:45 now. - perhaps its my settings (again) ?
>>>>
>>>
>>> Timestamp in my Sent folder shows as Tue, 04 Mar 2008 20:33:04 +1000
>>> (AEST)
>>
>> It's that +1000 that's the problem. It should be +1100. You haven't
>> switched to summer time (or you've switched away from it prematurely).
>> Strange, I thought that eCSclock handled daylight saving very well.
>>
>eCSClock is not in the later RCs of eCS 2.0 unfortunately.
>
>Cheers/2
>

More investigation shows this to be a problem with the new PMMail Beta 4 I
am using.

It has a Locale setting for offset from GMT which is fixed at 1000 but
can't be changed.

I will report same in the correct forum.

Thanks Peter for the alert!

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or 
talldad at kepl dot com dot au
___________________
----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Wed, 05 Mar 2008 18:04:18 +1100
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  APC UPS & USB CABLE

Nicholas Lysaght wrote:
> Hi All.
>
> After Western Power killed my Opti-UPS (it didn't die for 2 days!) I decided
> to replace it with an APC  Back-UPS CS 500 (Model # BK500EI).
>
> The bad news was, that one has to send away if one wants an RS-232
> connection. I have since done that (even if it's an RJ45 to 9-pin Serial
> connection). However, while I wait for the cable to arrive here in the West,
> I decided to have a go at enabling the standard RJ45 to USB Cable.
>
> I was directed to two programmes; <Inst_BkUPSMon006b.WPI>, and the required
> <usbecd10.ZIP> programme to manage the input/output of the USB cable. I have
> enabled the cable software, and it seems to have found the correct
> parameters for the UPS. I have installed the UPS software, and, in turn, it
> can enable the programme, and show the Status of the Battery. It will also
> show an error if the USB cable is pulled. However, what it won't do, is to
> react in any way (save showing the lessening battery power left), when the
> power to the UPS is switched off. It will not shut the computer down. There
> also seems to be inconsistencies between what you can do in the
> configuration file, against what is actually happening in the Status report.
>
> Has anyone tried to set up a UPS with this new USB only cable? When the RJ45
>   
>> Serial cable arrives, hopefully one of the Lone Pine Back Up programmes
>>     
> will work with it, but I should really try and get this USB thing to work.
>
> I look forward to your reply/ies.
>
> Regards
>
> NICK
>
> [
Hi Nick,

  Hows things ??

   OK, on the APC UPS - I have never heard of a UTP to USB cable - 
that's a new one on me - you mean there is no standard USB connector on 
the UPS, like on a printer ??

   In any case, what OS version are you running ? eCS 2.0 RC4 (and 
perhaps earlier) come with some level of support included for USB 
connected APC UPS devices.

  As you say the software is pretty pointless if it doesn't close down 
your system prior to it running out of juice in its batteries !

Cheers/2

Ed.
----------------------------------------------------------------------------------